Skip to main content
GET
/
customs
/
declarations
cURL
curl https://api.goshippo.com/customs/declarations/ \
-H "Authorization: ShippoToken <API_TOKEN>"
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "certify": true,
      "certify_signer": "Shawn Ippotle",
      "contents_type": "MERCHANDISE",
      "items": [
        "5087f181d1dc4b14b73fdbf636498886"
      ],
      "non_delivery_option": "RETURN",
      "aes_itn": "<string>",
      "b13a_filing_option": "FILED_ELECTRONICALLY",
      "b13a_number": "<string>",
      "certificate": "<string>",
      "commercial_invoice": true,
      "contents_explanation": "T-Shirt purchase",
      "disclaimer": "<string>",
      "duties_payor": {
        "account": "2323434543",
        "type": "THIRD_PARTY",
        "address": {
          "name": "Patrick Kavanagh",
          "zip": "80331",
          "country": "DE"
        }
      },
      "exporter_identification": {
        "eori_number": "PL123456790ABCDE",
        "tax_id": {
          "number": "123456789",
          "type": "EIN"
        }
      },
      "exporter_reference": "<string>",
      "importer_reference": "<string>",
      "is_vat_collected": true,
      "invoice": "#123123",
      "license": "<string>",
      "metadata": "Order ID #123123",
      "notes": "<string>",
      "address_importer": "257ba08436604d2aaf069caafe7acb2a",
      "eel_pfc": "NOEEI_30_37_a",
      "incoterm": "DDP",
      "invoiced_charges": {
        "currency": "<string>",
        "total_shipping": "<string>",
        "total_taxes": "<string>",
        "total_duties": "<string>",
        "other_fees": "<string>"
      },
      "object_created": "2014-07-17T01:01:08.306Z",
      "object_id": "e2197a54da9d470480f4f8796cc419cb",
      "object_owner": "shippotle@shippo.com",
      "object_state": "VALID",
      "object_updated": "2014-07-17T01:01:08.306Z",
      "test": true
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:5

The number of results to return per page (max 100, default 5)

Required range: x <= 100

Response

Paginated list of customs declarations

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
Customs Declaration · object[]